package com.qmth.themis.business.entity;

import com.qmth.themis.business.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * <p>
 * 考试问题表
 * </p>
 *
 * @author wangliang
 * @since 2023-03-14
 */
@ApiModel(value = "TBProblem对象", description = "考试问题表")
public class TBProblem extends BaseEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主编号")
    private Integer mainNumber;

    @ApiModelProperty(value = "子编号")
    private Integer subNumber;

    @ApiModelProperty(value = "子编号序号")
    private Integer subIndex;

    @ApiModelProperty(value = "大纲")
    private String outline;

    @ApiModelProperty(value = "标题")
    private String title;

    @ApiModelProperty(value = "答案")
    private String answer;

    @ApiModelProperty(value = "排序")
    private Integer sort;

    @ApiModelProperty(value = "已解决数量")
    private Long solveCount;

    @ApiModelProperty(value = "未解决数量")
    private Long unSolveCount;

    @ApiModelProperty(value = "是否启用，0：停用，1：启用")
    private Boolean enable = true;

    public Boolean getEnable() {
        return enable;
    }

    public void setEnable(Boolean enable) {
        this.enable = enable;
    }

    public Integer getMainNumber() {
        return mainNumber;
    }

    public void setMainNumber(Integer mainNumber) {
        this.mainNumber = mainNumber;
    }

    public Integer getSubNumber() {
        return subNumber;
    }

    public void setSubNumber(Integer subNumber) {
        this.subNumber = subNumber;
    }

    public Integer getSubIndex() {
        return subIndex;
    }

    public void setSubIndex(Integer subIndex) {
        this.subIndex = subIndex;
    }

    public String getOutline() {
        return outline;
    }

    public void setOutline(String outline) {
        this.outline = outline;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getAnswer() {
        return answer;
    }

    public void setAnswer(String answer) {
        this.answer = answer;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public Long getSolveCount() {
        return solveCount;
    }

    public void setSolveCount(Long solveCount) {
        this.solveCount = solveCount;
    }

    public Long getUnSolveCount() {
        return unSolveCount;
    }

    public void setUnSolveCount(Long unSolveCount) {
        this.unSolveCount = unSolveCount;
    }
}
